<script setup lang="ts">
// import enUS from '@arco-design/web-vue/es/locale/lang/en-us'
import { provide } from 'vue'
import { getStore } from '@/utils/storage'
import systemInfo from '@/mixins/system_info'
import { useVersionUpdateListener } from '@/hooks/version'

if (getStore('darkMode') === true) {
  document.body.setAttribute('arco-theme', 'dark')
}
provide('systemInfo', systemInfo)
onMounted(() => {
  useVersionUpdateListener()
})
</script>

<template>
  <a-config-provider> <router-view></router-view></a-config-provider>
</template>

<style lang="scss">
html,
body,
#app {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: var(--color-bg-3);
}
</style>
